Bug 1262827 - (TEIID-3698) non-selectable columns will cause OData failures
non-selectable columns will cause OData failures
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
6.1.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: jolee
Filip Elias
: QA-Closed
Depends On:
Blocks: 1241696
  Show dependency treegraph
 
Reported: 2015-09-14 08:28 EDT by dsteigne
Modified: 2016-02-10 03:52 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-10 03:52:40 EST
Type: Support Patch
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-3698 Major Closed non-selectable columns will cause OData failures 2015-12-03 11:16 EST
Red Hat Knowledge Base (Solution) 1613813 None None None Never

  None (edit)
Description dsteigne 2015-09-14 08:28:12 EDT
Describe the issue: 
See https://issues.jboss.org/browse/TEIID-3698
An odata table/view with a non-selectable column will return an error if it is returned as an odata entity without the $select option to exclude the non-selectable column.

Please pull back to DV 6.1

Suggestions for improvement: 

Additional information:
Comment 2 JBoss JIRA Server 2015-09-14 08:38:32 EDT
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-3698 to Reopened
Comment 4 jolee 2015-09-21 13:52:39 EDT
git@github.com:jboss-integration/teiid.git : 8.7.x-prod-ipv6.1 : ebb0cdd

git@github.com:teiid/teiid.git : 8.7.x : ebb0cdd
Comment 5 JBoss JIRA Server 2015-09-23 14:08:01 EDT
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-3698 to Resolved
Comment 6 JBoss JIRA Server 2015-10-30 08:48:35 EDT
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-3698 to Closed

Note You need to log in before you can comment on or make changes to this bug.